name: Bug report
description: Create a bug report
body:
  - type: markdown
    attributes:
      value: |
        Thank you for reporting an issue.

        This issue tracker is for bugs and issues found in ws.
        General support questions should be raised on a channel like Stack Overflow.

        Please fill in as much of the template below as you're able.
  - type: checkboxes
    attributes:
      label: Is there an existing issue for this?
      description:
        Please search to see if an issue already exists for the bug you
        encountered.
      options:
        - label:
            I've searched for any related issues and avoided creating a
            duplicate issue.
          required: true
  - type: textarea
    attributes:
      label: Description
      description:
        Description of the bug or feature, preferably a simple code snippet that
        can be run directly without installing third-party dependencies.
  - type: input
    attributes:
      label: ws version
  - type: input
    attributes:
      label: Node.js Version
      description: Output of `node -v`.
  - type: textarea
    attributes:
      label: System
      description: Output of `npx envinfo --system`.
  - type: textarea
    attributes:
      label: Expected result
      description: What you expected to happen.
  - type: textarea
    attributes:
      label: Actual result
      description: What actually happened.
  - type: textarea
    attributes:
      label: Attachments
      description: Logs, screenshots, screencast, etc.
